Search these docs, or ask Revo a question — answers link the pages they came from.
Gets one Python script execution, including the point-in-time script snapshot.
GET
/api/v1/{tenantId}/scripts/executions/{executionId}
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” executionId
required
string
tenantId
required
string
Responses
Section titled “ Responses ”OK
object
execution
object
id
string
threadId
integer format: int64
status
string
startedAt
string format: date-time
completedAt
string format: date-time
exitCode
integer format: int32
errorMessage
string
startedByUserId
string
lineCount
integer format: int64
stdErrLineCount
integer format: int64
firstSequenceNumber
integer format: int64
lastSequenceNumber
integer format: int64
scriptSnapshot
object
scriptId
string
name
string
content
string
parentFolderId
string
version
integer format: int32
contentHash
string
Bad Request
object
message
string
code
string
Too Many Requests
object
message
string
code
string
Service Unavailable
object
message
string
code
string
Gateway Timeout
object
message
string
code
string